<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <script>
    class Employee {
      constructor() {
        this._name = ''
        this._age = ''
        this._salary = ''
      }
     
      set name(value){
        this._name = value;
      }
      get name(){
        return this._name;
      } 

      set age(value){
        this._age = value;
      }
      get age(){
        return this._age;
      }

       set salary(value){
        this._salary = value;
      } 
      get salary(){
        return  this._salary ;
      }  
      
    }
   /*   Object.definePropertie(Employee, 'salary',{
  writeable:false, configurable:true, 
    }) 
    Employee.setSalary = function(salary){
      Object.definePropertie(this, "salary",{value:salary})
    } */
    let employe = new Employee();
    console.log(employe)

    employe.name ='Sergey';
    employe.salary =1200;
  
     class Programmer extends Employee {
        constructor(lang,name,age,salary) {
          super();
          this.lang = lang;
          this.name = name;
          this.age = age;
          this.salary = salary; 
        }
      /*   get salary(){  
        return this._salary = this._salary*3 ;
      } */

      set salary(value){
        this._salary = value *3;
      }
      get salary(){
        return this._salary;
      }
    } 

    let programmer = new Programmer(['PHP','JS','Erlang'], "Nikolay", 56, 1200)
    let programmer2 = new Programmer("Ukrainian","Max", 85, 1000)
    programmer.name = 'Вася'
    console.log(programmer)
    console.log(programmer2)





    
   
  </script>
</body>
</html>